### Method

# Gck Object get

#### Declaration [src]

    GckAttributes*
    gck_object_get (
      GckObject* self,
      GCancellable* cancellable,
      GError** error,
      ...
    )

#### Description [src]

Get the specified attributes from the object. This call may block for an indefinite period.

This method is not directly available to language bindings.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError`

  A location to store an error.

  The data is owned by the caller of the method.

`...`

  Type: ``

  The attribute types to get.

#### Return value

Type: `GckAttributes`

The resulting PKCS#11 attributes, or `NULL` if an error occurred; the result must be unreffed when you’re finished with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.